Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.util.distribution
Class Logarithmic

    java.lang.Object
      sim.util.distribution.AbstractDistribution
          sim.util.distribution.AbstractContinousDistribution
              sim.util.distribution.Logarithmic

All Implemented Interfaces:
  java.io.Serializable

    public class Logarithmic

extends AbstractContinousDistribution

Logarithmic distribution.

Valid parameter ranges: `0 < p < 1`.

Instance methods operate on a user supplied uniform random number generator; they are unsynchronized.

Static methods operate on a default uniform random number generator; they are synchronized.

Implementation:

Method: Inversion/Transformation.
This is a port of `lsk.c` from the C-RAND / WIN-RAND library. C-RAND's implementation, in turn, is based upon

A.W. Kemp (1981): Efficient generation of logarithmically distributed pseudo-random variables, Appl. Statist. 30, 249-253.

See Also:
  Serialized Form

Field Summary
`protected double` | `my_p`

Fields inherited from class sim.util.distribution.AbstractDistribution
`randomGenerator`

Constructor Summary
`Logarithmic(double p, MersenneTwisterFast randomGenerator)` Constructs a Logarithmic distribution.

Method Summary
`double` | `nextDouble()` Returns a random number from the distribution.
`double` | `nextDouble(double a)` Returns a random number from the distribution; bypasses the internal state.
`void` | `setState(double p)` Sets the distribution parameter.
`java.lang.String` | `toString()` Returns a String representation of the receiver.

Methods inherited from class sim.util.distribution.AbstractDistribution
`apply, apply, getRandomGenerator, nextInt, setRandomGenerator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### my_p

    protected double my_p

Constructor Detail

### Logarithmic

    public Logarithmic(double p,
                       MersenneTwisterFast randomGenerator)

  Constructs a Logarithmic distribution.

Method Detail

### nextDouble

    public double nextDouble()

  Returns a random number from the distribution.

  Specified by:
    `nextDouble` in class `AbstractDistribution`

### nextDouble

    public double nextDouble(double a)

  Returns a random number from the distribution; bypasses the internal state.

### setState

    public void setState(double p)

  Sets the distribution parameter.

### toString

    public java.lang.String toString()

  Returns a String representation of the receiver.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD